Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.fingerprint
Class FingerprintPlugin

    java.lang.Object
      oracle.ifs.admin.tools.fingerprint.FingerprintPlugin

Direct Known Subclasses:
  ClassObjectInstanceCountPlugin, FolderStructurePlugin, LibraryObjectPlugin, SqlPlugin

    public abstract class FingerprintPlugin

extends java.lang.Object

Abstract base class for all plugin implementations.

(Unpublished)

Constructor Summary
`FingerprintPlugin()`

Method Summary
`abstract void` | `execute(FingerprintContext context)` Executes the plugin.
`protected java.lang.String` | `getConfiguration(java.lang.String name)` Gets a configuration property that must exist or an exception will be thrown.
`protected java.lang.String` | `getConfiguration(java.lang.String name, java.lang.String defaultValue)` Gets a configuration property with a defaulted value.
`protected java.lang.String` | `getName()` Returns the name of the plugin.
`protected void` | `setConfiguration(java.util.Map config)` Sets the plugin configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FingerprintPlugin

    public FingerprintPlugin()

Method Detail

### getName

    protected final java.lang.String getName()

  Description copied from class: `FingerprintPlugin`
  Returns the name of the plugin.

  Returns:
    the name of the plugin
  (Unpublished)

### setConfiguration

    protected void setConfiguration(java.util.Map config)

  Description copied from class: `FingerprintPlugin`
  Sets the plugin configuration.

  Parameters:
    `config` - the configuration
  (Unpublished)

### getConfiguration

    protected java.lang.String getConfiguration(java.lang.String name,
                                                java.lang.String defaultValue)

  Description copied from class: `FingerprintPlugin`
  Gets a configuration property with a defaulted value.

  Parameters:
    `name` - the name of the configuration property
    `defaultValue` - the default value to return if the configuration property is not set
  Returns:
    the value of the configuration property or the default value
  (Unpublished)

### getConfiguration

    protected java.lang.String getConfiguration(java.lang.String name)

  Description copied from class: `FingerprintPlugin`
  Gets a configuration property that must exist or an exception will be thrown.

  Parameters:
    `name` - the configuration property name
  Returns:
    the value of the configuration property
  Throws:
    `java.lang.RuntimeException` - id the configuration property is not set
  (Unpublished)

### execute

    public abstract void execute(FingerprintContext context)
                          throws java.lang.Exception

  Description copied from class: `FingerprintPlugin`
  Executes the plugin.

  Parameters:
    `context` - the context
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD